Subject: Re: [PCN] Definition of sustainable aggregate rate (SAR)

From: SATOH Daisuke <[email-masked]>
Date: Fri, 27 Aug 2010 09:50:47 +0900

Hi Tom,

How about the following?

Sustainable aggregate rate (SAR)

The estimated maximum rate of PCN-traffic that can be admitted to a
given ingress-egress-aggregate at a given moment without causing degradation
of quality of service for the admitted flows. If the PCN-rate of any ingress-egress-aggregate
at the given moment is less than the estimated maximum rate of PCN-traffic,
PCN-rate on any link is less than PCN supportable rate. This estimated
maximum rate is derived as part of the flow termination procedure, and
is used to determine how much PCN-traffic must be terminated to bring
the ingress-egress-aggregate back to its intended operating level.
For further details see <xref target="decisTerm"/>.</t>

----

I only added one sentence to your original text:
If the PCN-rate of any ingress-egress-aggregate
at the given moment is less than the estimated maximum rate of PCN-traffic,
PCN-rate on any link is less than PCN-supportable-rate. 

I believe that the first sentence of your original text is easy to
understand, even for those who are not familiar with PCN. My added
sentence meets Phil's concern. I guess Michael's definition is difficult
for those who are not familiar with PCN.

Best regards,
Daisuke

> 
>   Hi Tom,
> 
> try this one:
> 
> Sustainable-aggregate-rate: estimated rate of an 
> ingress-egress-aggregate such that the PCN-rate on any link does no 
> longer exceed its PCN-supportable rate when all 
> ingress-egress-aggregates reduce their PCN-rates to their 
> sustainable-aggregate-rates.
> 
> It has a relation to PCN-supportable-rates (Phil's concern) and makes 
> clear that termination on multiple ingress-egress-aggregates is needed.
> 
> Regards,
> 
>      Michael
> 
> 
> Am 26.08.2010 18:59, schrieb Tom Taylor:
> > Too bad that's defined for a link rather than a path. I suppose I 
> > could define it as the minimum over all links carrying the aggregate.
> >
> > On 26/08/2010 12:52 PM, [email-masked] wrote:
> >> I guess it should relate somehow to PCN-supportable-rate.
> >>
> >> You could tweak your definition as the SAR becomes meaningful (only) 
> >> when some traffic needs to be terminated - if there's only a little 
> >> traffic, then there's no estimated maximum rate.
> >>
> >>> From RFC5559:
> >> o  PCN-supportable-rate: the rate of PCN-traffic on a link down to
> >>        which PCN flow termination should, if necessary, terminate 
> >> already
> >>        admitted PCN-flows.
> >>
> >>> -----Original Message-----
> >>> From: [email-masked] [mailto:[email-masked]] On
> >>> Behalf Of Michael Menth
> >>> Sent: 26 August 2010 17:19
> >>> To: Tom Taylor
> >>> Cc: pcn
> >>> Subject: Re: [PCN] Definition of sustainable aggregate rate (SAR)
> >>>
> >>>
> >>>
> >>>    Hi Tom,
> >>>
> >>> what's possibly missing in this definition is the idea that
> >>> the SAR is
> >>> the proportional share of the current rate of all IEAs carried over a
> >>> bottleneck link that does not cause pre-congestion.
> >>>
> >>> Regards,
> >>>
> >>>       Michael
> >>>
> >>> Am 26.08.2010 17:01, schrieb Tom Taylor:
> >>>> I'm adding the following definition to the CL and SM boundary node
> >>>> behaviour drafts. Comments?
> >>>>
> >>>>          Sustainable aggregate rate (SAR)
> >>>>
> >>>> The estimated maximum rate of PCN-traffic that can be admitted to a
> >>>> given ingress-egress-aggregate at a given moment without causing
> >>>> degradation of quality of service for the admitted flows.
> >>> This value
> >>>> is derived as part of the flow termination procedure, and
> >>> is used to
> >>>> determine how much PCN-traffic must be terminated to bring the
> >>>> ingress-egress-aggregate back to its intended operating level. For
> >>>> further details see<xref target="decisTerm"/>.</t>
> >>>>
> >>>> Tom Taylor
> >>>> _______________________________________________
> >>>> PCN mailing list
> >>>> [email-masked]
> >>>> https://www.ietf.org/mailman/listinfo/pcn
> >>>
> >>> -- 
> >>> PD Dr. habil. Michael Menth, Assistant Professor
> >>> University of Wuerzburg, Institute of Computer Science
> >>> Am Hubland, D-97074 Wuerzburg, Germany, room B206
> >>> phone: (+49)-931/31-86644 (new), fax: (+49)-931/31-86632
> >>> (new) mailto:[email-masked]
> >>> http://www3.informatik.uni-wuerzburg.de/research/ngn
> >>>
> >>> _______________________________________________
> >>> PCN mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/pcn
> >>>
> >>
> >>